# Recipe created by recipetool
# recipetool create -o bacon_4.1.bb http://www.basic-converter.org/stable/bacon-4.1.tar.gz

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

#not downloading, already local...
SRC_URI = "file://v4.1.0.1/bacon.bac \
 file://v4.1.0.1/bacongui-gtk.bac \
 file://v4.1.0.1/bacon.sh \
 file://v4.1.0.1/BaCon24.png"

#as OE has copied those files to $WORKDIR, make it the source path...
S = "${WORKDIR}"

DEPENDS = "gtk+3 m4-native gtk+ bash"

#ah, OE needs to runs this, copies the files to WORKDIR...
#do my own unpack...
XXXdo_unpack () {
 true
}

do_configure() {
 #do_unpack copied the files to ${WORKDIR}/v4.1.0.1/, get them out...
 cp -a -f v4.1.0.1/* ./
}

do_compile() {
    mkdir -p build
    # -n convert to C only, -a rebuild libbacon.a, -p preserve temporary files,
    # -y automatically delete temporary files ...
    #bash bacon.sh -y -a -d build bacon.bac
    #...this works for x86_64 target. but for armv7 target may need to do this...
    bash bacon.sh -y -n -p -a -d build bacon.bac
    cd build
    ${CC} -fPIC -O2 ${CFLAGS} -fno-var-tracking-assignments -c bacon.bac.c
    ${CC} -o bacon bacon.bac.o -L. -lm ${LDFLAGS}
    cd ..
    ##also compile bacongui, note, only needs gtk libs at runtime...
    #bash bacon.sh -y -n -p -d build bacongui-gtk.bac
    #cd build
    #${CC} -fPIC -O2 ${CFLAGS} -fno-var-tracking-assignments -c bacongui-gtk.bac.c
    #${CC} -o bacongui bacongui-gtk.bac.o -lm  -L. -ldl ${LDFLAGS}
    #cd ..
}

do_install() {
    install -d ${D}/usr/bin
    install -m755 build/bacon ${D}/usr/bin
    install -m755 bacon.sh ${D}/usr/bin
    install -d ${D}/usr/share/BaCon
    install -m644 bacon.bac ${D}/usr/share/BaCon
    ##and for bacongui...
    #install -m755 build/bacongui ${D}/usr/bin
    install -d ${D}/usr/share/applications
    install -d ${D}/usr/share/pixmaps
    #install -m644 bacongui-gtk.desktop ${D}/usr/share/applications/bacongui.desktop
    install -m644 BaCon24.png ${D}/usr/share/pixmaps/BaCon.png
}

#want this to be available globally, so other recipes can compile .bac apps...
do_install_append() {
    install -m755 bacon.sh ${TMPDIR}
}

# do_install installs ok, but do not get the usr/bin files in sysroot-destdir,
# to be available for execution by pup-tools when it wants to compile bacon src.
# ref: https://stackoverflow.com/questions/35354802/how-to-create-do-populate-sysroot-append-task-in-yocto
XXXsysroot_stage_all_append () {                                     
    sysroot_stage_dir ${D}/usr/bin ${SYSROOT_DESTDIR}/usr/bin
}
# ...installs tmp-glibc/work/*/bacon/4.1-r0/sysroot-destdir/usr/bin/bacon.sh,
# which should now be visible to pup-tools do_compile, but do not know how to specify
# its path. so, using $TMPDIR which is global, see above.

HOMEPAGE = "http://basic-converter.org/"
SUMMARY = "A BASIC compiler with highlevel GUI IDE."
