# Recipe created by recipetool
# recipetool create -o bacon_4.1.bb http://www.basic-converter.org/stable/bacon-4.1.tar.gz

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=8ca82a6ccae989e3ea64c98f9b351f3b"

SRC_URI = "http://www.basic-converter.org/stable/bacon-${PV}.tar.gz"
SRC_URI[md5sum] = "4170a6629a255a04e234085ed5225097"
SRC_URI[sha1sum] = "7e5bc721e3700f8ab79793fc929b11ef1de25b37"
SRC_URI[sha256sum] = "84c9a4e95f069ad66ed269d393d88d123300dc316dfb8bcb318827eaabeec778"
SRC_URI[sha384sum] = "2341c25583bf6f88f11885c90ebf2daa75b1c4b7af64d96eefcf1c12b7ea18ab929bed72fd105a9748a2a474cc1ad2f8"
SRC_URI[sha512sum] = "18c6ad9b5da9ec4e63d89553cab0f0350ec8fa8e500aef3cfecef200969dbda642806c6066d36cfecc5a5155184c227dc02ad7276289efc592d5038a886dd12d"

# NOTE: the following prog dependencies are unknown, ignoring: zsh fltk-config bash make ksh
DEPENDS = "gtk+3 m4-native gtk+ bash"

inherit autotools-brokensep

EXTRA_OECONF = "--with-bash --enable-gui-gtk --disable-gui-fltk"
# ...do_configure() will run, but we aren't using Makefile.

do_compile() {
    mkdir -p build
    # -n convert to C only, -a rebuild libbacon.a, -p preserve temporary files,
    # -y automatically delete temporary files ...
    #bash bacon.sh -y -a -d build bacon.bac
    #...this works for x86_64 target. but for armv7 target may need to do this...
    bash bacon.sh -y -n -p -a -d build bacon.bac
    cd build
    ${CC} -fPIC -O2 ${CFLAGS} -fno-var-tracking-assignments -c bacon.bac.c
    ${CC} -o bacon bacon.bac.o -L. -lm ${LDFLAGS}
    #${CC} -o bacon bacon.bac.o -L. ${LDFLAGS} ${CFLAGS}
    cd ..
    ##also compile bacongui, note, only needs gtk libs at runtime...
    #bash bacon.sh -y -n -p -d build bacongui-gtk.bac
    #cd build
    #${CC} -fPIC -O2 ${CFLAGS} -fno-var-tracking-assignments -c bacongui-gtk.bac.c
    #${CC} -o bacongui bacongui-gtk.bac.o -lm  -L. -ldl ${LDFLAGS}
    #cd ..
}

do_install() {
    install -d ${D}/usr/bin
    install -m755 build/bacon ${D}/usr/bin
    install -m755 bacon.sh ${D}/usr/bin
    install -d ${D}/usr/share/BaCon
    install -m644 bacon.bac ${D}/usr/share/BaCon
    ##and for bacongui...
    #install -m755 build/bacongui ${D}/usr/bin
    install -d ${D}/usr/share/applications
    install -d ${D}/usr/share/pixmaps
    #install -m644 bacongui-gtk.desktop ${D}/usr/share/applications/bacongui.desktop
    install -m644 icons/BaCon24.png ${D}/usr/share/pixmaps/BaCon.png
}

#want this to be available globally, so other recipes can compile .bac apps...
do_install_append() {
    install -m755 bacon.sh ${TMPDIR}
}

# do_install installs ok, but do not get the usr/bin files in sysroot-destdir,
# to be available for execution by pup-tools when it wants to compile bacon src.
# ref: https://stackoverflow.com/questions/35354802/how-to-create-do-populate-sysroot-append-task-in-yocto
sysroot_stage_all_append () {                                     
    sysroot_stage_dir ${D}/usr/bin ${SYSROOT_DESTDIR}/usr/bin
}
# ...installs tmp-glibc/work/*/bacon/4.1-r0/sysroot-destdir/usr/bin/bacon.sh,
# which should now be visible to pup-tools do_compile, but do not know how to specify
# its path. so, using $TMPDIR which is global, see above.

HOMEPAGE = "http://basic-converter.org/"
SUMMARY = "A BASIC compiler with highlevel GUI IDE."
