# Recipe created by recipetool
# recipetool create -o xf86-video-mach64_6.9.6.bb https://www.x.org/releases/individual/driver/xf86-video-mach64-6.9.6.tar.gz

require recipes-graphics/xorg-driver/xorg-driver-video.inc

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://COPYING;md5=be79d1b174a1e5b7e9303201e18d45f4"

SRC_URI = "https://www.x.org/releases/individual/driver/xf86-video-mach64-${PV}.tar.gz"
SRC_URI[md5sum] = "5431cbcc9cb71798c718b5d8a0fd49d5"
SRC_URI[sha256sum] = "873a9d64c7d08ca1617d98e9dd58389b948f92c052d7914922d9eed4acb2f6a4"

DEPENDS = "libdrm xserver-xorg xorgproto libpciaccess xcb-proto mesa"

inherit pkgconfig autotools

# only because configure is broken for cross-compile...
#EXTRA_OECONF = "--disable-dri"
# no, do it this way:
# ref: http://lists.openembedded.org/pipermail/openembedded-commits/2009-July/104205.html
EXTRA_OECONF = "ac_cv_file__usr_include_xorg_dri_h=yes \
                ac_cv_file__usr_include_xorg_sarea_h=yes \
                ac_cv_file__usr_include_xorg_dristruct_h=yes \
                ac_cv_file__usr_include_xorg_damage_h=yes"


FILES_${PN} += "${datadir}/X11 ${libdir}/xorg"

HOMEPAGE = "http://www.X.org"
SUMMARY = "The Xorg driver for ATi Mach64 video chips"
